Bug 188156 - make chinese/gcin make jobs safe
Summary: make chinese/gcin make jobs safe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-01 06:00 UTC by Jia-Shiun Li
Modified: 2014-04-11 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (7.54 KB, patch)
2014-04-01 06:00 UTC, Jia-Shiun Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jia-Shiun Li 2014-04-01 06:00:00 UTC
Make chinese/gcin make jobs safe.

Primarily add dependency rules of libgcin-im-client.so. The other parts are auto generated by 'make makepatch'.

Fix: patch attached. Tested ok with MAKE_JOBS_NUMBER=16 on an i5-3450 4-core system.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-01 06:00:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-11 03:38:45 UTC
Author: vanilla
Date: Fri Apr 11 02:38:41 2014
New Revision: 350877
URL: http://svnweb.freebsd.org/changeset/ports/350877
QAT: https://qat.redports.org/buildarchive/r350877/

Log:
  Make job safe.
  
  PR:		ports/188156
  Submitted by:	Jia-Shiun Li <jiashiun gmail com>

Added:
  head/chinese/gcin/files/patch-modules__Makefile   (contents, props changed)
  head/chinese/gcin/files/patch-qt4-im__Makefile   (contents, props changed)
Deleted:
  head/chinese/gcin/files/patch-modules_Makefile
  head/chinese/gcin/files/patch-qt4-im-Makefile
Modified:
  head/chinese/gcin/Makefile
  head/chinese/gcin/files/patch-Makefile

Modified: head/chinese/gcin/Makefile
==============================================================================
--- head/chinese/gcin/Makefile	Fri Apr 11 02:34:34 2014	(r350876)
+++ head/chinese/gcin/Makefile	Fri Apr 11 02:38:41 2014	(r350877)
@@ -22,7 +22,6 @@ USES=		gmake pkgconfig
 USE_XORG=	x11 xtst xext
 INSTALLS_ICONS=	YES
 USE_LDCONFIG=	YES
-MAKE_JOBS_UNSAFE=	yes
 OPTIONS_DEFINE=	ANTHY QT_IM_MODULE
 ANTHY_DESC=	Japanese anthy IM module
 QT_IM_MODULE_DESC=	QT IM module

Modified: head/chinese/gcin/files/patch-Makefile
==============================================================================
--- head/chinese/gcin/files/patch-Makefile	Fri Apr 11 02:34:34 2014	(r350876)
+++ head/chinese/gcin/files/patch-Makefile	Fri Apr 11 02:38:41 2014	(r350877)
@@ -1,5 +1,5 @@
---- ./Makefile.orig	2012-12-08 00:32:13.000000000 +0000
-+++ ./Makefile	2014-01-04 22:34:02.000000000 +0000
+--- ./Makefile.orig	2012-12-08 08:32:13.000000000 +0800
++++ ./Makefile	2014-03-28 20:46:01.000000000 +0800
 @@ -94,7 +94,7 @@
  all:	$(PROGS) trad2sim $(GCIN_SO) $(DATA) $(PROGS_CV) gcin.spec gcin-fedora.spec
  	$(MAKE) -C data
@@ -9,7 +9,51 @@
  	if [ $(USE_I18N) = 'Y' ]; then $(MAKE) -C po; fi
  	if [ $(GTK3_IM) = 'Y' ]; then $(MAKE) -C gtk3-im; fi
  	if [ $(QT_IM) = 'Y' ]; then $(MAKE) -C qt-im; fi
-@@ -215,11 +215,11 @@
+@@ -103,18 +103,18 @@
+ #gcc_ld_run_path=-Wl,-rpath,$(gcin_ld_run_path)
+ 
+ gcin:   $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV)
+-	$(CCLD) $(EXTRA_LDFLAGS) $(gcc_ld_run_path) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(LDFLAGS) -L/usr/X11R6/$(LIB)
++	$(CCLD) $(EXTRA_LDFLAGS) $(gcc_ld_run_path) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(LDFLAGS) -L/usr/local/$(LIB)
+ 	rm -f core.* vgcore.*
+ 	ln -sf $@ $@.test
+ 
+ gcin-nocur:   $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV)
+-	$(CCLD) -Wl,-rpath,$(gcinlibdir) $(EXTRA_LDFLAGS) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(LDFLAGS) -L/usr/X11R6/$(LIB)
++	$(CCLD) -Wl,-rpath,$(gcinlibdir) $(EXTRA_LDFLAGS) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(LDFLAGS) -L/usr/local/$(LIB)
+ 	rm -f core.*
+ 
+-tslearn:        $(OBJS_TSLEARN)
++tslearn:        $(OBJS_TSLEARN) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_TSLEARN) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+-ts-edit:        $(OBJS_TS_EDIT)
++ts-edit:        $(OBJS_TS_EDIT) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_TS_EDIT) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+ ts-contribute:	ts-edit
+@@ -158,16 +158,16 @@
+ kbmcv:  $(OBJS_kbmcv)
+ 	$(CCLD) -o $@ $(OBJS_kbmcv) $(LDFLAGS)
+ 
+-gcin-gb-toggle:	$(OBJS_gcin_gb_toggle)
++gcin-gb-toggle:	$(OBJS_gcin_gb_toggle) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_gb_toggle) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+-gcin-kbm-toggle:	$(OBJS_gcin_kbm_toggle)
++gcin-kbm-toggle:	$(OBJS_gcin_kbm_toggle) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_kbm_toggle) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+-gcin-exit:	$(OBJS_gcin_exit)
++gcin-exit:	$(OBJS_gcin_exit) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_exit) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+-gcin-message:	$(OBJS_gcin_message)
++gcin-message:	$(OBJS_gcin_message) im-client/libgcin-im-client.so
+ 	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_message) -L./im-client -lgcin-im-client $(LDFLAGS)
+ 
+ pin-juyin:	$(OBJS_pin_juyin)
+@@ -215,12 +215,12 @@
  	$(MAKE) -C data install
  	$(MAKE) -C im-client install
  	$(MAKE) -C gtk-im install
@@ -19,10 +63,12 @@
  	if [ $(QT_IM) = 'Y' ]; then $(MAKE) -C qt-im install; fi
  	if [ $(QT4_IM) = 'Y' ]; then $(MAKE) -C qt4-im install; fi
 -	if [ $(prefix) = /usr/local ]; then \
+-	   install -m 644 gcin.png /usr/share/icons; \
 +	if [ $(prefix) = /nonstaged ]; then \
- 	   install -m 644 gcin.png /usr/share/icons; \
++	   install -m 644 gcin.png $(prefix)/share/icons; \
  	   install -d $(DOC_DIR); \
  	   install -m 644 README.html Changelog.html $(DOC_DIR); \
+ 	   install $(PROGS) $(bindir); \
 @@ -234,6 +234,7 @@
  	   rm -f $(bindir)/ts-contribute; ln -sf ts-edit $(bindir)/ts-contribute; \
  	fi

Added: head/chinese/gcin/files/patch-modules__Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/gcin/files/patch-modules__Makefile	Fri Apr 11 02:38:41 2014	(r350877)
@@ -0,0 +1,29 @@
+--- ./modules/Makefile.orig	2012-04-10 13:50:44.000000000 +0800
++++ ./modules/Makefile	2014-03-28 20:45:33.000000000 +0800
+@@ -3,15 +3,18 @@
+ 
+ CFLAGS+=-I.. -I../IMdkit/include
+ GCIN_MODULE=intcode-module.so
++SOURCES=intcode.cpp win-int.cpp
+ 
+ ifeq ($(USE_ANTHY),Y)
+ GCIN_MODULE+=anthy-module.so
++SOURCES+=anthy.cpp
+ endif
+ 
+ ifeq ($(USE_CHEWING),Y)
+ GCIN_MODULE+=chewing-module.so
+ CHEWING_DATADIR=$(shell pkg-config --variable=datadir chewing)
+ CFLAGS += -DCHEWING_DATADIR=\"$(CHEWING_DATADIR)\"
++SOURCES+=chewing-conf.cpp chewing.cpp gcin-setup-chewing.cpp
+ endif
+ 
+ all:	$(GCIN_MODULE)
+@@ -35,6 +38,6 @@
+ clean:
+ 	rm -f *.pico *.so *.o .depend
+ .depend:
+-	$(CCX) $(CFLAGS) -MM *.cpp > $@
++	$(CCX) $(CFLAGS) -MM $(SOURCES) > $@
+ 
+ include .depend

Added: head/chinese/gcin/files/patch-qt4-im__Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/gcin/files/patch-qt4-im__Makefile	Fri Apr 11 02:38:41 2014	(r350877)
@@ -0,0 +1,11 @@
+--- ./qt4-im/Makefile.orig	2012-03-05 20:26:54.000000000 +0800
++++ ./qt4-im/Makefile	2014-03-28 20:45:33.000000000 +0800
+@@ -3,7 +3,7 @@
+ QTIM=$(QT)/plugins/inputmethods
+ IMMODULES=$(libdir)/$(DEB_BUILD_MULTIARCH)/$(QTIM)
+ 
+-INCS=-I../im-client -I/usr/include/X11 `pkg-config QtCore QtGui --cflags`
++INCS=-I../im-client -I$(prefix)/include/X11 -I$(prefix)/include `pkg-config QtCore QtGui --cflags`
+ CXXFLAGS=$(OPTFLAGS) $(INCS) -Wall -D_REENTRANT -DUNIX=1 -fPIC  -DQT4 -DQT_SHARED \
+ -DQT_IMMODULE -DPIC
+ OBJS= moc_gcin-qt.o gcin-qt.o im-gcin-qt.o gcin-imcontext-qt.o
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Vanilla I. Shu freebsd_committer 2014-04-11 03:39:14 UTC
State Changed
From-To: open->closed

Committed, thanks.